[@algorandfoundation/algokit-utils](../README.md) / [types/app-spec](../modules/types_app_spec.md) / ReservedSchemaValueSpec

# Interface: ReservedSchemaValueSpec

[types/app-spec](../modules/types_app_spec.md).ReservedSchemaValueSpec

Reserved schema value specification

## Table of contents

### Properties

- [descr](types_app_spec.ReservedSchemaValueSpec.md#descr)
- [max\_keys](types_app_spec.ReservedSchemaValueSpec.md#max_keys)
- [type](types_app_spec.ReservedSchemaValueSpec.md#type)

## Properties

### descr

• **descr**: `string`

The description of the reserved storage space

#### Defined in

[src/types/app-spec.ts:278](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L278)

___

### max\_keys

• **max\_keys**: `number`

The maximum number of slots to reserve

#### Defined in

[src/types/app-spec.ts:280](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L280)

___

### type

• **type**: [`AVMType`](../modules/types_app_spec.md#avmtype)

The type of value

#### Defined in

[src/types/app-spec.ts:276](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L276)
